Bug 1603446 - avr-gcc: FTBFS in Fedora rawhide
Summary: avr-gcc: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: avr-gcc
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-19 14:53 UTC by Mohan Boddu
Modified: 2019-04-06 19:43 UTC (History)
5 users (show)

Fixed In Version: avr-gcc-7.4.0-5.fc28 avr-gcc-7.4.0-5.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-06 19:21:37 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2018-07-19 14:53 UTC, Mohan Boddu
no flags Details
root.log (1.00 KB, text/plain)
2018-07-19 14:53 UTC, Mohan Boddu
no flags Details
state.log (619 bytes, text/plain)
2018-07-19 14:53 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 14:53:04 UTC
avr-gcc failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28168311


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix avr-gcc at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
avr-gcc will be orphaned. Before branching of Fedora 30,
avr-gcc will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 14:53:11 UTC
Created attachment 1460589 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Mohan Boddu 2018-07-19 14:53:15 UTC
Created attachment 1460590 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Mohan Boddu 2018-07-19 14:53:19 UTC
Created attachment 1460591 [details]
state.log

Comment 4 Michal Hlavinka 2018-08-07 15:29:07 UTC
This was fixed upstream, it seems that this should be relevant commit:
https://github.com/gcc-mirror/gcc/commit/1c67942e074cd57215df5b0667542638bff1cd67
waiting for new gcc-7 snapshot to test

Comment 5 Jan Kurik 2018-08-14 11:04:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 7 Fedora Update System 2019-03-26 07:42:09 UTC
avr-gcc-7.4.0-5.fc28 avr-binutils-2.32-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d44a08edc1

Comment 8 Fedora Update System 2019-03-26 07:42:20 UTC
avr-gcc-7.4.0-5.fc29 avr-binutils-2.32-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-33b44101ee

Comment 9 Fedora Update System 2019-03-27 04:11:48 UTC
avr-binutils-2.32-1.fc28, avr-gcc-7.4.0-5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d44a08edc1

Comment 10 Fedora Update System 2019-03-27 04:34:36 UTC
avr-binutils-2.32-1.fc29, avr-gcc-7.4.0-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-33b44101ee

Comment 11 Fedora Update System 2019-04-06 19:21:37 UTC
avr-binutils-2.32-1.fc28, avr-gcc-7.4.0-5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-04-06 19:43:06 UTC
avr-binutils-2.32-1.fc29, avr-gcc-7.4.0-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.